AWS SDK for Ruby のインストール - AWS SDK for Ruby

「翻訳は機械翻訳により提供されています。提供された翻訳内容と英語版の間で齟齬、不一致または矛盾がある場合、英語版が優先します。」

AWS SDK for Ruby のインストール

このセクションには、AWS SDK for Ruby の前提条件とインストール手順が含まれています。

Prerequisites

AWS SDK for Ruby をインストールする前に、AWS アカウントと Ruby バージョン 1.9 以降が必要になります。

AWS アカウントをお持ちでない場合は、次に説明する手順にしたがってアカウントを作成してください。

  1. http://aws.amazon.com/ を開き、[AWS アカウントの作成] を選択します。

  2. オンラインの手順に従います。

SDK のインストール

プロジェクトが Bundler を使用している場合、プロジェクトに AWS SDK for Ruby を追加するために Gemfile に次の行を追加します。

gem 'aws-sdk'

Bundler を使用していない場合、最も簡単な SDK のインストール方法は RubyGems を使用することです。 SDK の最新バージョンをインストールするには、次のコマンドを使用します。

gem install aws-sdk

前のコマンドが、Unix ベースのシステム上で失敗した場合、次のコマンドに示すように、sudo を使用して SDK をインストールします。

sudo gem install aws-sdk